Bug 2058404 (CVE-2022-0759) - CVE-2022-0759 kubeclient: kubeconfig parsing error can lead to MITM attacks
Summary: CVE-2022-0759 kubeclient: kubeconfig parsing error can lead to MITM attacks
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-0759
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2058656 2067289
Blocks: 2058533
TreeView+ depends on / blocked
 
Reported: 2022-02-24 20:11 UTC by Mauro Matteo Cascella
Modified: 2022-05-11 20:33 UTC (History)
30 users (show)

Fixed In Version: kubeclient 4.9.3
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in kubeclient, the Ruby client for Kubernetes REST API, in the way it parsed kubeconfig files. When the kubeconfig file does not configure custom CA to verify certs, kubeclient ends up accepting any certificate (it wrongly returns VERIFY_NONE). Ruby applications that leverage kubeclient to parse kubeconfig files are susceptible to Man-in-the-middle attacks (MITM).
Clone Of:
Environment:
Last Closed: 2022-04-21 01:31:12 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:1461 0 None None None 2022-04-20 22:57:31 UTC
Red Hat Product Errata RHSA-2022:2217 0 None None None 2022-05-11 20:33:38 UTC
Red Hat Product Errata RHSA-2022:2218 0 None None None 2022-05-11 19:52:29 UTC

Description Mauro Matteo Cascella 2022-02-24 20:11:52 UTC
A flaw was found in kubeclient, the Ruby client for Kubernetes REST API, in the way it parsed kubeconfig files. When the kubeconfig file does not configure custom CA to verify certs, kubeclient ends up accepting any certificate (it wrongly returns VERIFY_NONE). Ruby applications that leverage kubeclient to parse kubeconfig files are susceptible to MITM attacks.

Comment 7 Vipul Nair 2022-03-24 08:53:47 UTC
Red Hat Satellite ships affected RubyGem Kubeclient, however, the product is not vulnerable, since it does not parse KubeClient through the affected "Kubeclient::Config" code. Therefore, we are reducing product impact to low.

Comment 16 errata-xmlrpc 2022-04-20 22:57:28 UTC
This issue has been addressed in the following products:

  RHOL-5.4-RHEL-8

Via RHSA-2022:1461 https://access.redhat.com/errata/RHSA-2022:1461

Comment 17 Product Security DevOps Team 2022-04-21 01:31:09 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-0759

Comment 19 errata-xmlrpc 2022-05-11 19:52:26 UTC
This issue has been addressed in the following products:

  OpenShift Logging 5.2

Via RHSA-2022:2218 https://access.redhat.com/errata/RHSA-2022:2218

Comment 20 errata-xmlrpc 2022-05-11 20:33:35 UTC
This issue has been addressed in the following products:

  OpenShift Logging 5.3

Via RHSA-2022:2217 https://access.redhat.com/errata/RHSA-2022:2217


Note You need to log in before you can comment on or make changes to this bug.